Subject: bug#48925: [PATCH] Set `minibuffer-completion-*` variables buffer-locally in a few more places

From: Eli Zaretskii <[email-masked]>
Date: Thu, 11 Nov 2021 16:17:25 +0200

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: <[email-masked]>,  [email-masked],  [email-masked]
> Date: Thu, 11 Nov 2021 13:11:10 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Moving read-string to subr.el means the function will be unavailable
> > during loadup until subr.elc is loaded.
> 
> That's a worry, so I tried Miha's patch now and did both a "make" and a
> "make bootstrap", and both completed without any problems.

I didn't say it will be a problem now.  But it's a time bomb waiting
to go off.  So I'd like to see if we could still do this in C.